Package com.sap.ai.sdk.prompt.registry.client

# Class OrchestrationConfigsApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.prompt.registry.client.OrchestrationConfigsApi

Direct Known Subclasses:
  `OrchestrationConfigClient`

public class OrchestrationConfigsApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
Prompt Registry API in version 0.0.1.

Prompt Storage service for Design time invalid input: '&' Runtime prompt templates.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrchestrationConfigsApi(com.sap.cloud.sdk.cloudplatform.connectivity.Destination httpDestination)`
  Instantiates this API class to invoke operations on the Prompt Registry API.
  `OrchestrationConfigsApi(com.sap.cloud.sdk.services.openapi.apache.apiclient.ApiClient apiClient)`
  Instantiates this API class to invoke operations on the Prompt Registry API based on a given `ApiClient`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OrchestrationConfigPostResponse`
  `createUpdateOrchestrationConfig(OrchestrationConfigPostRequest orchestrationConfigPostRequest)`
  Create or update an orchestration config
  `OrchestrationConfigPostResponse`
  `createUpdateOrchestrationConfig(OrchestrationConfigPostRequest orchestrationConfigPostRequest, String aiResourceGroup)`
  Create or update an orchestration config
  `OrchestrationConfigDeleteResponse`
  `deleteOrchestrationConfig(UUID orchestrationConfigId)`
  Delete orchestration config
  `OrchestrationConfigDeleteResponse`
  `deleteOrchestrationConfig(UUID orchestrationConfigId, String aiResourceGroup)`
  Delete orchestration config
  `byte[]`
  `exportOrchestrationConfig(UUID orchestrationConfigId)`
  Export orchestration config
  `byte[]`
  `exportOrchestrationConfig(UUID orchestrationConfigId, String aiResourceGroup)`
  Export orchestration config
  `OrchestrationConfigGetResponse`
  `getOrchestrationConfigByUuid(UUID orchestrationConfigId)`
  Get orchestration config by UUID
  `OrchestrationConfigGetResponse`
  `getOrchestrationConfigByUuid(UUID orchestrationConfigId, String aiResourceGroup, Boolean resolveTemplateRef, Boolean resolveTemplateRef2)`
  Get orchestration config by UUID
  `OrchestrationConfigPostResponse`
  `importOrchestrationConfig()`
  Import orchestration config
  `OrchestrationConfigPostResponse`
  `importOrchestrationConfig(String aiResourceGroup, File _file)`
  Import orchestration config
  `OrchestrationConfigListResponse`
  `listOrchestrationConfigHistory(String scenario, String version, String name)`
  List orchestration config history
  `OrchestrationConfigListResponse`
  `listOrchestrationConfigHistory(String scenario, String version, String name, String aiResourceGroup, Boolean includeSpec, Boolean includeSpec2, Boolean resolveTemplateRef, Boolean resolveTemplateRef2)`
  List orchestration config history
  `OrchestrationConfigListResponse`
  `listOrchestrationConfigs()`
  List orchestration configs
  `OrchestrationConfigListResponse`
  `listOrchestrationConfigs(String aiResourceGroup, String scenario, String name, String version, String retrieve, Boolean includeSpec, Boolean includeSpec2, Boolean resolveTemplateRef, Boolean resolveTemplateRef2)`
  List orchestration configs
  `OrchestrationConfigsApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationConfigsApi

    public OrchestrationConfigsApi(@Nonnull com.sap.cloud.sdk.cloudplatform.connectivity.Destination httpDestination)
    Instantiates this API class to invoke operations on the Prompt Registry API.
    Parameters:
      `httpDestination` - The destination that API should be used with

  - ### OrchestrationConfigsApi

    public OrchestrationConfigsApi(@Nonnull com.sap.cloud.sdk.services.openapi.apache.apiclient.ApiClient apiClient)
    Instantiates this API class to invoke operations on the Prompt Registry API based on a given `ApiClient`.
    Parameters:
      `apiClient` - ApiClient to invoke the API on

- ## Method Details

  - ### withDefaultHeaders

    public OrchestrationConfigsApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### createUpdateOrchestrationConfig

    @Nonnull public OrchestrationConfigPostResponse createUpdateOrchestrationConfig(@Nonnull OrchestrationConfigPostRequest orchestrationConfigPostRequest, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create or update an orchestration config

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `orchestrationConfigPostRequest` - (required) The value for the parameter orchestrationConfigPostRequest
      `aiResourceGroup` - (optional) Specify a resource group id to use
    Returns:
      OrchestrationConfigPostResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### createUpdateOrchestrationConfig

    @Nonnull public OrchestrationConfigPostResponse createUpdateOrchestrationConfig(@Nonnull OrchestrationConfigPostRequest orchestrationConfigPostRequest) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Create or update an orchestration config

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `orchestrationConfigPostRequest` - The value for the parameter orchestrationConfigPostRequest
    Returns:
      OrchestrationConfigPostResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### deleteOrchestrationConfig

    @Nonnull public OrchestrationConfigDeleteResponse deleteOrchestrationConfig(@Nonnull UUID orchestrationConfigId, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete orchestration config

    200 - Successful response

    403 - Forbidden Error

    404 - Bad Request

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - (required) The value for the parameter orchestrationConfigId
      `aiResourceGroup` - (optional) Specify a resource group id to use
    Returns:
      OrchestrationConfigDeleteResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### deleteOrchestrationConfig

    @Nonnull public OrchestrationConfigDeleteResponse deleteOrchestrationConfig(@Nonnull UUID orchestrationConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Delete orchestration config

    200 - Successful response

    403 - Forbidden Error

    404 - Bad Request

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - The value for the parameter orchestrationConfigId
    Returns:
      OrchestrationConfigDeleteResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### exportOrchestrationConfig

    @Nonnull public byte[] exportOrchestrationConfig(@Nonnull UUID orchestrationConfigId, @Nullable String aiResourceGroup) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Export orchestration config

    200 - Successful response

    400 - Bad Request

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - (required) The value for the parameter orchestrationConfigId
      `aiResourceGroup` - (optional) Specify a resource group id to use
    Returns:
      byte[]
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### exportOrchestrationConfig

    @Nonnull public byte[] exportOrchestrationConfig(@Nonnull UUID orchestrationConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Export orchestration config

    200 - Successful response

    400 - Bad Request

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - The value for the parameter orchestrationConfigId
    Returns:
      byte[]
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getOrchestrationConfigByUuid

    @Nonnull public OrchestrationConfigGetResponse getOrchestrationConfigByUuid(@Nonnull UUID orchestrationConfigId, @Nullable String aiResourceGroup, @Nullable Boolean resolveTemplateRef, @Nullable Boolean resolveTemplateRef2) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get orchestration config by UUID

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - (required) The value for the parameter orchestrationConfigId
      `aiResourceGroup` - (optional) Specify a resource group id to use
      `resolveTemplateRef` - (optional, default to false) DEPRECATED: Use resolveTemplateRef instead
      `resolveTemplateRef2` - (optional) The value for the parameter resolveTemplateRef2
    Returns:
      OrchestrationConfigGetResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getOrchestrationConfigByUuid

    @Nonnull public OrchestrationConfigGetResponse getOrchestrationConfigByUuid(@Nonnull UUID orchestrationConfigId) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get orchestration config by UUID

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `orchestrationConfigId` - The value for the parameter orchestrationConfigId
    Returns:
      OrchestrationConfigGetResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### importOrchestrationConfig

    @Nonnull public OrchestrationConfigPostResponse importOrchestrationConfig(@Nullable String aiResourceGroup, @Nullable File _file) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Import orchestration config

    200 - Successful response

    400 - Bad Request

    0 - Common Error

    Parameters:
      `aiResourceGroup` - (optional) Specify a resource group id to use
      `_file` - (optional) The value for the parameter _file
    Returns:
      OrchestrationConfigPostResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### importOrchestrationConfig

    @Nonnull public OrchestrationConfigPostResponse importOrchestrationConfig() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Import orchestration config

    200 - Successful response

    400 - Bad Request

    0 - Common Error

    Returns:
      OrchestrationConfigPostResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listOrchestrationConfigHistory

    @Nonnull public OrchestrationConfigListResponse listOrchestrationConfigHistory(@Nonnull String scenario, @Nonnull String version, @Nonnull String name, @Nullable String aiResourceGroup, @Nullable Boolean includeSpec, @Nullable Boolean includeSpec2, @Nullable Boolean resolveTemplateRef, @Nullable Boolean resolveTemplateRef2) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List orchestration config history

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `scenario` - (required) The value for the parameter scenario
      `version` - (required) The value for the parameter version
      `name` - (required) The value for the parameter name
      `aiResourceGroup` - (optional) Specify a resource group id to use
      `includeSpec` - (optional, default to false) DEPRECATED: Use includeSpec instead
      `includeSpec2` - (optional) The value for the parameter includeSpec2
      `resolveTemplateRef` - (optional, default to false) DEPRECATED: Use resolveTemplateRef instead
      `resolveTemplateRef2` - (optional) The value for the parameter resolveTemplateRef2
    Returns:
      OrchestrationConfigListResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listOrchestrationConfigHistory

    @Nonnull public OrchestrationConfigListResponse listOrchestrationConfigHistory(@Nonnull String scenario, @Nonnull String version, @Nonnull String name) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List orchestration config history

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `scenario` - The value for the parameter scenario
      `version` - The value for the parameter version
      `name` - The value for the parameter name
    Returns:
      OrchestrationConfigListResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listOrchestrationConfigs

    @Nonnull public OrchestrationConfigListResponse listOrchestrationConfigs(@Nullable String aiResourceGroup, @Nullable String scenario, @Nullable String name, @Nullable String version, @Nullable String retrieve, @Nullable Boolean includeSpec, @Nullable Boolean includeSpec2, @Nullable Boolean resolveTemplateRef, @Nullable Boolean resolveTemplateRef2) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List orchestration configs

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Parameters:
      `aiResourceGroup` - (optional) Specify a resource group id to use
      `scenario` - (optional) The value for the parameter scenario
      `name` - (optional) The value for the parameter name
      `version` - (optional) The value for the parameter version
      `retrieve` - (optional, default to both) The value for the parameter retrieve
      `includeSpec` - (optional, default to false) DEPRECATED: Use includeSpec instead
      `includeSpec2` - (optional) The value for the parameter includeSpec2
      `resolveTemplateRef` - (optional, default to false) DEPRECATED: Use resolveTemplateRef instead
      `resolveTemplateRef2` - (optional) The value for the parameter resolveTemplateRef2
    Returns:
      OrchestrationConfigListResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### listOrchestrationConfigs

    @Nonnull public OrchestrationConfigListResponse listOrchestrationConfigs() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    List orchestration configs

    200 - Successful response

    400 - Bad Request

    403 - Forbidden Error

    0 - Common Error

    Returns:
      OrchestrationConfigListResponse
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API